#
# Common definitions go here.
#
PACKAGE=	epca
RPMDIR=		/usr/src/redhat
LINUXSRC=	/usr/src/linux
SRCDIR=		/usr/src/dg/$(PACKAGE)
MODDIR=         $(shell echo $(BUILDROOT)/lib/modules/`uname -r`/misc)
ETCDIR=         $(BUILDROOT)/etc/digi
DEVDIR=         $(BUILDROOT)/dev/dg/$(PACKAGE)
SBINDIR=        $(BUILDROOT)/usr/sbin
BINDIR=         $(BUILDROOT)/usr/bin
DRVLIBDIR=      $(BUILDROOT)/usr/lib/dg/$(PACKAGE)
MANDIR=         $(BUILDROOT)/usr/man
INCLUDEDIR=     $(BUILDROOT)/usr/include/linux
USRLIBDIR=      $(BUILDROOT)/usr/lib

#
# Needed for dpa makefiles for now -- a more generic name would be better.
#
DMBIN=          $(BINDIR)


RCDIR= $(shell if [ -d /etc/rc.d/init.d ]; then echo "$(BUILDROOT)/etc/rc.d/init.d"; else echo "$(BUILDROOT)/etc/init.d"; fi)

GCCDIR= $(shell $(CC) --print-libgcc | xargs dirname)

ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

SMP= $(shell if [ "`uname -v | grep -c SMP`" -gt "0" ]; then echo "SMP"; else echo "UP"; fi)

ifeq ($(ARCH),i386)
        KCC=$(shell which kgcc | grep -v no 2> /dev/null > /tmp/kgcc-test; if [ -s /tmp/kgcc-test ]; then echo "kgcc"; else echo "gcc"; fi; rm /tmp/kgcc-test)
        KCFLAGS := $(KCFLAGS) -m486 -malign-loops=2 -malign-jumps=2 \
                -malign-functions=2 -DCPU=586
endif
ifeq ($(ARCH),sparc64)
        KCC=sparc64-linux-gcc
        KCFLAGS := $(KCFLAGS) -m64 -pipe -mno-fpu -mcpu=ultrasparc \
                -mcmodel=medlow -ffixed-g4 -fcall-used-g5 -fcall-used-g7 \
                -Wno-sign-compare
endif
